<?php namespace RVR\Repository;

use SokoWeb\Database\Query\Select;
use RVR\PersistentData\Model\OAuthClient;
use SokoWeb\PersistentData\PersistentDataManager;

class OAuthClientRepository
{
    private PersistentDataManager $pdm;

    public function __construct()
    {
        $this->pdm = new PersistentDataManager();
    }

    public function getById(int $id): ?OAuthClient
    {
        return $this->pdm->selectFromDbById($id, OAuthClient::class);
    }

    public function getByClientId(string $clientId): ?OAuthClient
    {
        $select = new Select(\Container::$dbConnection);
        $select->where('client_id', '=', $clientId);

        return $this->pdm->selectFromDb($select, OAuthClient::class);
    }
}
